#
# spec file for package libclocale
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libclocale
%define lname	libclocale1
Version:        20240414
Release:        bp160.1.7
Summary:        Library for C locale functions
License:        LGPL-3.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://github.com/libyal/libclocale
Source:         https://github.com/libyal/libclocale/releases/download/%version/libclocale-alpha-%version.tar.gz
Source2:        https://github.com/libyal/libclocale/releases/download/%version/libclocale-alpha-%version.tar.gz.asc
Source3:        %name.keyring
BuildRequires:  c_compiler
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcerror) >= 20240413
# Various notes: https://en.opensuse.org/libyal

%description
A library for C locale functions. libclocale is part of the libyal family of libraries.

%package -n %lname
Summary:        Library for C locale functions
Group:          System/Libraries

%description -n %lname
A library for C locale functions.

%package devel
Summary:        Development files for libclocale, a C locale library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
A library for C locale functions.

This subpackage contains libraries and header files for developing
applications that want to make use of libclocale.

%prep
%autosetup -p1

%build
echo "V_%version { global: *; };" >v.sym
%configure --disable-static --enable-wide-character-type LDFLAGS="-Wl,--version-script=$PWD/v.sym"
grep '  local' config.log && exit 1
%make_build

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%ldconfig_scriptlets -n %lname

%files -n %lname
%license COPYING.LESSER
%_libdir/libclocale.so.1*

%files devel
%_includedir/libclocale*
%_libdir/libclocale.so
%_libdir/pkgconfig/libclocale.pc
%_mandir/man3/libclocale.3*

%changelog
* Sun Apr 14 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240414
  * No changelog was provided
* Sun Jan  7 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240107
  * No changelog was provided
* Sun Dec 18 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 20221218
  * No changelog was provided
* Sat Nov 26 2022 Jan Engelhardt <jengelh@inai.de>
- Delete system-libs.patch (not needed - system libs are
  autodetected)
* Mon Aug  8 2022 Jan Engelhardt <jengelh@inai.de>
- Add forced symvers
* Sat Jan  8 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 20220107
  * No changes, version bump only.
* Thu Nov 25 2021 Jan Engelhardt <jengelh@inai.de>
- Add keyring
* Sat Jun 26 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 20210526
  * No changelog was provided
* Wed May 12 2021 Jan Engelhardt <jengelh@inai.de>
- Update to snapshot 20210410 (305803c6)
  * No changelog was provided
- Add system-libs.patch
* Sun Dec 13 2020 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20200913
  * no documented changes for Linux
* Sat Apr 13 2019 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20180721
  * worked on tests
  * code clean up
- fix broken build
  * REMOVE    BuildRequires:  pkg-config
  * ADD       BuildRequires:  pkgconfig
* Wed Feb 15 2017 Greg.Freemyer@gmail.com
- update to v0~20170105
  * worked on tests
* Mon Jan  5 2015 Greg.Freemyer@gmail.com
- update to v0~20150101
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- remove extraneous buildrequires libcerror
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
- update to v0~20140105
  * 2014 update
* Mon Jul 29 2013 Greg.Freemyer@gmail.com
- update to v0~20130609
  * fix in .pc.in file
  * fixes for stand-alone usage on netbsd
  * fixes for stand-alone usage
  * small changes
  * updated dependencies
  * fix for missing LOCALEDIR
  * 2013 update
- change to gz compression from xz
* Wed Apr  3 2013 jengelh@inai.de
- Initial package (version 0~20121224) for build.opensuse.org
